uniform float uBottom;
uniform float uTop;
uniform vec3 uColorTop;
uniform vec3 uColorBottom;
void main()
{
	vec3 colT = vec3(1.0-uTop) * uColorTop + vec3(uTop) * uColorBottom;
	vec3 colB = vec3(1.0-uBottom) * uColorTop + vec3(uBottom) * uColorBottom;
	vec3 colorFinal = vec3(1.0-gl_TexCoord[0].y) * colT + vec3(gl_TexCoord[0].y) * colB;
	gl_FragColor =  vec4( colorFinal, 1.0 );
}
